Calculate parent task done ratio based on subtask status.
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

If "Calculate the issue done ratio with" is set to "Use the issue field" done ratio for parent is calculated as weighted done ratio of

subtasks. And it works just fine.

But if "Calculate the issue done ratio with" is set to "Use the issue status", done ratio for parent now based on it's status rather than

subtasks'.

I think it will be usefull to calculate parent's done ratio based on subtasks in any case, not only if done ratio was set manualy but if it

was set by issue status also.

Related issues:

Related to Redmine - Defect #13116: When setting Redmine to update the done %... Closed

Is duplicate of Redmine - Defect #6609: % Done for Parent Tasks [2] Reopened 2010-10-08

History

#1 - 2014-10-25 06:28 - Mischa The Evil

- Related to Defect #13116: When setting Redmine to update the done % by status parent tasks should have the status update according to the done

% of the child tasks and not the status. This is the default behavior when you just update by issue. added

#2 - 2015-02-17 06:15 - Go MAEDA

- Is duplicate of Defect #6609: % Done for Parent Tasks [2] added

#3 - 2015-02-17 06:22 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

It is being discussed on #6609.

I close this issue.
